[1/5] guest tools: add iso/tarball generator for guest tools

Submitted by Michael Roth on Aug. 22, 2011, 5:09 p.m.


Message ID 1314032960-23474-2-git-send-email-mdroth@linux.vnet.ibm.com
State New
Headers show

Commit Message

Michael Roth Aug. 22, 2011, 5:09 p.m.
This script runs a series of tool-specific builds/configuration, each of
which should result in a self-contained installation directory at
$iso_root/projects/<project>, with a script or executable called
"install.linux". The script/executable must be runnable on standard
distros, so a basic shell script to kick off the install logic for the
guest is preferred.

When run in the guest, the install harness will iterate through these
projects, cd'ing into $iso_root/projects/<project> and executing the
"install.linux" script.

Windows support will be added later in a similar manner.

Signed-off-by: Michael Roth <mdroth@linux.vnet.ibm.com>
 scripts/build-guest-iso.sh |   46 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)
 create mode 100755 scripts/build-guest-iso.sh

Patch hide | download patch | download mbox

diff --git a/scripts/build-guest-iso.sh b/scripts/build-guest-iso.sh
new file mode 100755
index 0000000..c8fbee8
--- /dev/null
+++ b/scripts/build-guest-iso.sh
@@ -0,0 +1,46 @@ 
+if [ -e $qemu_dir/VERSION ]; then
+    version=`cat $qemu_dir/VERSION`
+    echo qemu source directory not found
+    exit 1
+mkdir -p $projects_dir
+mkdir -p $build_dir
+rm -rf $iso_root/* $build_dir/*
+cp -r $qemu_dir/guest-tools-iso/* $iso_root
+cd $build_dir
+# qemu-ga
+# --enable-io-thread is just a workaround on RHEL5 for lack of signalfd()
+# support (which configure complains about). we don't use either
+$qemu_dir/configure --enable-guest-agent --extra-cflags="-m32" --enable-io-thread
+make -j$concurrency qemu-ga
+cp qemu-ga $projects_dir/qemu-ga/qemu-ga.linux.x86
+make distclean
+$qemu_dir/configure --enable-guest-agent
+make -j$concurrency qemu-ga
+cp qemu-ga $projects_dir/qemu-ga/qemu-ga.linux.x86_64
+make distclean
+cd $tmp
+tar zpvcf $output_dir/$package.tar.gz $package
+mkisofs -o $output_dir/$package.iso $package